Skip to main content
POST
/
graphql#ListFtpMappings
List FTP mappings
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListFtpMappings' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: FtpMappingFilterType) { ftp_mappings { all(filter: $filter) { edges { node { id account { id } customer { id } delivery_address { id } collection_address { id } mapping_fields mapping_group_id } } } } }"
}
'
{
  "data": {
    "ftp_mappings": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "9",
              "account": {
                "id": "5"
              },
              "customer": {
                "id": "200"
              },
              "delivery_address": {
                "id": "91"
              },
              "collection_address": {
                "id": "17"
              },
              "mapping_fields": [
                {
                  "file_format": "csv"
                }
              ],
              "mapping_group_id": "4"
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: FtpMappingFilterType) {
  ftp_mappings {
    all(filter: $filter) {
      edges {
        node {
          id
          account { id }
          customer { id }
          delivery_address { id }
          collection_address { id }
          mapping_fields
          mapping_group_id
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
  "filter": {
    "mapping_group_id": {
      "eq": "value"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
mapping_group_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledParent mapping group ID
account_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledInternal account ID
account_in_fileStringInputTypeeq, ilike, like, in, betweenAccount value in the file
customer_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledInternal customer ID
delivery_address_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledInternal delivery address ID
collection_address_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledInternal collection address ID
created_atDatetimeInputTypeeq, from, to, betweenCreation timestamp
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: FtpMappingFilterType) { ftp_mappings { all(filter: $filter) { edges { node { id account { id } customer { id } delivery_address { id } collection_address { id } mapping_fields mapping_group_id } } } } }"

variables
object

Query variables including the filter object

Example:
{
"filter": { "mapping_group_id": { "eq": "4" } }
}

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any